Перейти до вмісту
AstroWay/api v2.73.0 · docs
усі системи в нормі

Planet Ingresses

POST
/ingresses
request.sh
curl -X POST https://api.astroway.info/v1/ingresses \
-H "X-Api-Key: aw_live_..." \
-H "Content-Type: application/json" \
-d '{ "planetId": 5, "startDate": "2024-01-01", "endDate": "2025-12-31" }'

Find all sign ingresses for a planet within a date range (including retrograde re-entries).

Media type application/json
object
planetId required
number
nullable
startDate required
string
/^\d{4}-\d{2}-\d{2}$/
endDate required
string
/^\d{4}-\d{2}-\d{2}$/
Example
{
"planetId": 5,
"startDate": "2024-01-01",
"endDate": "2025-12-31"
}

Successful calculation

Media type application/json
object
ok
boolean
data
object
ingresses
Array<object>
object
date
string
fromSign
string
toSign
string
longitude
number
retrograde
boolean
Example
{
"ok": true
}

Validation error

Media type application/json
Example
{
"ok": false,
"error": {
"code": "INVALID_INPUT",
"message": "Validation failed: date: Date must be YYYY-MM-DD",
"details": [
{
"path": "date",
"message": "Date must be YYYY-MM-DD"
}
]
}
}

Missing or invalid API key

Media type application/json
Example
{
"ok": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key"
}
}
Корисно?